<template>
  <StyledNewsletterForm>
    <a-form
      :form="form"
      :label-col="{ span: 5 }"
      :wrapper-col="{ span: 15 }"
      @submit="handleSubmit"
    >
      <a-form-item label="Nome">
        <a-input
          v-decorator="[
            'note',
            { rules: [{ required: true, message: 'Please input your note!' }] },
          ]"
        />
      </a-form-item>
    <a-form-item v-bind="formItemLayout" label="E-mail">
      <a-input
        v-decorator="[
          'email',
          {
            rules: [
              {
                type: 'email',
                message: 'The input is not valid E-mail!',
              },
              {
                required: true,
                message: 'Please input your E-mail!',
              },
            ],
          },
        ]"
      />
    </a-form-item>
      <a-form-item :wrapper-col="{ span: 15, offset: 5 }">
        <a-button type="primary" html-type="submit"> Submit </a-button>
      </a-form-item>
    </a-form>
  </StyledNewsletterForm>
</template>

<script lang="ts">
import StyledNewsletterForm from '../../../styles/Molecules/MoleculeNewsletterForm/MoleculeNewsletterForm';

export default {
  name: 'OrganismHeader',

  components: { StyledNewsletterForm },
};
</script>
